/**
 * Created with JetBrains PhpStorm.
 * User: sidchik
 * Date: 18.07.13
 * Time: 13:18
 * To change this template use File | Settings | File Templates.
 */
$("document").ready(function(){
    var vklad_sum = $("#sum");
    vklad_sum.change(function(){
        var val = parseInt($(this).val());
        if (val < 0){
            $(this).val('0');
        }
        if (val > 100000000){
            $(this).val('100000000');
        }
        $(this).val(parseInt($(this).val())+'');
    });


    $("#day_srok").change(function(){
        $.ajax({
            url: '/private/deposits/deffdate',
            data: {'count': $(this).val()},
            success: function(data){
                data = data.split('|');
                $("#day_srok").val(data[0]);
                $("#last_day").val(data[1]);
            }

        })
    });
    $("#last_day").change(function(){
        $.ajax({
            url: '/private/deposits/deffdate',
            data: {'date': $(this).val()},
            success: function(data){
                data = data.split('|');
                $("#day_srok").val(data[0]);
                $("#last_day").val(data[1]);
            }

        })
    });

    $(".doCalc").click(function(){
        $.ajax({
            url: '/private/deposits/ajax',
            data:{
                sum: vklad_sum.val(),
                currency: $('.currency_val .active').attr('data-data'),
                srok: $('#day_srok').val(),
                pop: $("#pop").is(':checked'),
                proc: $("#proc").is(':checked'),
                pens: $("#pens").is(':checked'),
                take: $("#take").is(':checked'),
                city: $("#city").val()
            },
            success: function(data){
                $(".results").html(data);
            },
            error: function(){
                alert('В данный момент сервис недоступен, повторите попытку позже.');
            }
        });
    });
});